MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024723Open CASCADE[OCCT] OCCT:Visualizationpublic2014-03-13 13:142014-11-11 12:58
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024723: Not implemented methods in Visual3d and V3d
DescriptionCurrent OCCT master causes problems in wrapping to C# due to several class methods declared but not implemented in visualization:

void Visual3d_View::SetTransform(class TColStd_Array2OfReal const &)
void V3d_View::SetProjModel(enum V3d_TypeOfProjectionModel)
enum V3d_TypeOfProjectionModel V3d_View::ProjModel(void)const
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024307closedapn TKOpenGl - efficient culling of large number of presentations 

-  Notes
(0031606)
git (administrator)
2014-09-11 10:08

Branch CR24723 has been created by abv.

SHA-1: 8c4168a85ea705a0d8579762e629762a61a5832c


Detailed log of new commits:

Author: abv
Date: Thu Sep 11 10:07:43 2014 +0400

    0024723: Not implemented methods in Visual3d and V3d
    
    Removed unused enum V3d_TypeOfProjectionModel and methods V3d_View::SetProjModel(), V3d_View::ProjModel()
(0031607)
abv (manager)
2014-09-11 10:15

Please review branch CR24723; note that fix for C# wrapper is also pushed to Products repo branch CR24723
(0031696)
apl (developer)
2014-09-15 12:25

Dear Bugmaster,

The OCCT and Products branches has been reviewed without remarks.

Please test.
(0031791)
git (administrator)
2014-09-16 19:37

Branch CR24723 has been updated forcibly by mkv.

SHA-1: 16c09c72ed28378de24d35f688172754cfa3d194
(0031850)
mkv (tester)
2014-09-18 12:33

Dear BugMaster,
Branch CR24723 from occt git-repository and CR24723from products git-repository was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 16c09c72ed28378de24d35f688172754cfa3d194
SHA-1: f0cdcfee79650923c4b2ff1d4f3cd620cf15b0af

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 355526792 / 355211896
Total CPU difference: 46997.360000000015 / 45410.72000000016
products component :
Total MEMORY difference: 110062272 / 110030920
Total CPU difference: 17847.05999999996 / 17726.57999999998

Testing on Windows:
occt component :
Total MEMORY difference: 242236268 / 242172840
Total CPU difference: 39999.640625 / 42815.5625
products component :
Total MEMORY difference: 66629552 / 66634836
Total CPU difference: 13563.0 / 10516.90625

There are no differences in images found by testdiff.
(0032359)
git (administrator)
2014-09-29 23:24

Branch CR24723 has been deleted by kgv.

SHA-1: 16c09c72ed28378de24d35f688172754cfa3d194

- Related Changesets
occt: master 1521659a
Timestamp: 2014-09-11 06:07:43
Author: abv
Committer: bugmaster
Details ] Diff ]
0024723: Not implemented methods in Visual3d and V3d

Removed unused enum V3d_TypeOfProjectionModel and methods V3d_View::SetProjModel(), V3d_View::ProjModel()
mod - src/V3d/V3d.cdl Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-13 13:14 abv New Issue
2014-03-13 13:14 abv Assigned To => san
2014-03-13 13:15 abv Description Updated View Revisions
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-11 09:54 abv Relationship added related to 0024307
2014-09-11 10:08 git Note Added: 0031606
2014-09-11 10:15 abv Note Added: 0031607
2014-09-11 10:15 abv Assigned To san => apl
2014-09-11 10:15 abv Status new => resolved
2014-09-15 12:25 apl Note Added: 0031696
2014-09-15 12:25 apl Assigned To apl => bugmaster
2014-09-15 12:25 apl Status resolved => reviewed
2014-09-15 12:28 bugmaster Assigned To bugmaster => mkv
2014-09-16 19:37 git Note Added: 0031791
2014-09-18 12:33 mkv Note Added: 0031850
2014-09-18 12:33 mkv Test case number => Not needed
2014-09-18 12:33 mkv Assigned To mkv => bugmaster
2014-09-18 12:33 mkv Status reviewed => tested
2014-09-19 13:42 bugmaster Changeset attached => occt master 1521659a
2014-09-19 13:42 bugmaster Status tested => verified
2014-09-19 13:42 bugmaster Resolution open => fixed
2014-09-29 23:24 git Note Added: 0032359
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker